PDA

View Full Version : New Install = "Unable to load LIRC kernel modules."



fullmoonguru
October 12th, 2011, 03:00 AM
I have a new install of 10.04 with MythTV. I load LIRC with the Mythbuntu LIRC Generator & get this error when it finishes:

Loading LIRC modules [ OK ]
* Unable to load LIRC kernel modules. Verify your
* selected kernel modules in /etc/lirc/hardware.conf

It's a Harmony remote set up to act as an mce remote, with an mce blaster. Only the directional arrows work on the remote. I have the same combo on another partition working fine, & it was installed with the Mythbuntu Lirc Generator as well. Even if I move my hardware.conf, lircd.conf, & lircrc files to the new install, it's the same. There must be something going on with a newer LIRC package. Anyone know what's going on?

ian dobson
October 12th, 2011, 03:22 PM
Hi,

Have a look at your /etc/lirc/hardware.conf file and see what modules are being loaded and make sure there installing on the broken build.

Note you can just copy kernel modules from one kernal version to another.

Regards
Ian Dobson

fullmoonguru
October 13th, 2011, 03:54 PM
Thanks. I modprobed both installs & the new one is missing a ton of stuff. I think I installed something that hosed the new install so I'm just going to reload.